Skip to content
English

Set organization specific LDAP configuration

PUT
/system/orgs/{ID}/ldap
curl --request PUT \
--url https://example.com/api/v1/system/orgs/1/ldap \
--header 'Content-Type: application/json' \
--cookie grommunioAuthJwt=<grommunioAuthJwt> \
--data '{ "disabled": false, "connection": { "server": "example", "bindUser": "example", "bindPass": "example", "starttls": true }, "baseDn": "example", "objectID": "example", "users": { "username": "example", "displayName": "example", "filters": [ "objectclass=person" ], "filter": "(&(objectclass=person)(mailPrimaryAddress=*))", "templates": [ "example" ], "attributes": { "additionalProperty": "example" }, "defaultQuota": 1, "searchAttributes": [ "example" ], "aliases": "example" }, "groups": { "groupMemberAttr": "example", "groupaddr": "example", "groupfilter": "example", "groupname": "example" } }'
ID
required
integer

ID of the object

X-Csrf-Token
string

CSRF Token

Media typeapplication/json
object
disabled

Disable LDAP service

boolean
connection
object
server

Space separated list of addresses of the LDAP server to connect to

string
bindUser

DN of the user to perform initial bind with

string
bindPass

Password for bindUser

string
starttls

Whether to initiate a StartTLS connection

boolean
baseDn

Base DN to use for user search

string
objectID

Name of an attribute that uniquely identifies an LDAP object

string
users

Configuration for user search

object
username

Name of the attribute that corresponds to the username (e-mail address)

string
displayName

Name of the attribute that contains the name

string
filters

List of additional filter expressions to use for user search

Array<string>
filter

LDAP search filter to apply to user lookup

string
Example
(&(objectclass=person)(mailPrimaryAddress=*))
templates

List of mapping templates to use

Array<string>
attributes

LDAP attribute -> PropTag mapping to used for LDAP import. Any mappings specified take precedence over active templates

object
key
additional properties

Name of the PropTag the attribute maps to

string
defaultQuota

Storage quota of imported users if no mapping exists

integer
searchAttributes

List of attributes to use for searching

Array<string>
aliases

LDAP attribute containing alternative e-mail addresses

string
groups

Configuration for group import

object
groupMemberAttr

LDAP attribute containing the groups a user is member of

string
groupaddr

E-Mail address attribute of the group

string
groupfilter

Filter expression for groups

string
groupname

Attribute containing the group’s display name

string

LDAP configuration updated

Validation of input parameters failed

Media typeapplication/json
object
message
string
errors

List of errors encountered during validation

Array<string>
Examplegenerated
{
"message": "example",
"errors": [
"example"
]
}

The requested resource could not be found

Media typeapplication/json
object
message
string
Examplegenerated
{
"message": "example"
}

An error occurred while processing the request

Media typeapplication/json
object
message

String representation of the exception

string
Examplegenerated
{
"message": "example"
}

The database query failed

Media typeapplication/json
object
message

Description of the error

string
Examplegenerated
{
"message": "example"
}